package com.yidianling.course.courseNew.home

import com.hannesdorfmann.mosby3.mvp.MvpView
import com.yidianling.course.bean.CourseCouponBean
import com.yidianling.ydlcommon.http.BaseResponse

/**
 * Created by Jim on 2018/7/11 0011.
 */

interface ICourseHomeView : MvpView {

    fun showBody(resultBeans: List<ResultBean>)
    fun hideRefreshView()
    fun showRefreshView()
    fun showLoadErrorView(throwable: Throwable?)
    fun couponDataResponse(data: List<CourseCouponBean>)
    fun receiveCouponResponse(data: BaseResponse<List<String>>)
}
